This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 668920 - Quit gedit -> Segmentation fault
Quit gedit -> Segmentation fault
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
rawhide
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-11 22:54 EST by sangu
Modified: 2011-01-22 21:18 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.91.5-4.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-22 21:18:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description sangu 2011-01-11 22:54:49 EST
Description of problem:
Core was generated by `gedit'.
Program terminated with signal 11, Segmentation fault.
#0  0x00007f5a5cc8bec2 in on_model_set_cb (widget=<value optimized out>, 
    param=<value optimized out>, plugin=<value optimized out>)
    at gedit-file-browser-plugin.c:920
920		model = gtk_tree_view_get_model (GTK_TREE_VIEW (gedit_file_browser_widget_get_browser_view (priv->tree_widget)));
Traceback (most recent call last):
  File "/usr/share/gdb/auto-load/lib64/libgobject-2.0.so.0.2790.0-gdb.py", line 9, in <module>
    from gobject import register
  File "/usr/share/glib-2.0/gdb/gobject.py", line 3, in <module>
    import gdb.backtrace
ImportError: No module named backtrace

#0  0x00007f5a5cc8bec2 in on_model_set_cb (widget=<value optimized out>, 
    param=<value optimized out>, plugin=<value optimized out>)
    at gedit-file-browser-plugin.c:920
#1  0x00007f5a6955bace in g_closure_invoke (closure=0x26f9ed0, return_value=
    0x0, n_param_values=2, param_values=0x26bb6d0, invocation_hint=
    0x7fff29b2f480) at gclosure.c:767
#2  0x00007f5a6956e01b in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=1753, instance=0x2674ef0, emission_return=0x0, instance_and_params=
    0x26bb6d0) at gsignal.c:3252
#3  0x00007f5a69577b4a in g_signal_emit_valist (
    instance=<value optimized out>, signal_id=<value optimized out>, 
    detail=<value optimized out>, var_args=0x7fff29b2f670) at gsignal.c:2983
#4  0x00007f5a69577cf3 in g_signal_emit (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>)
    at gsignal.c:3040
#5  0x00007f5a6955d649 in g_object_dispatch_properties_changed (object=
    0x2674ef0, n_pspecs=1, pspecs=<value optimized out>) at gobject.c:921
#6  0x00007f5a6955fa54 in g_object_notify_queue_thaw (
    nqueue=<value optimized out>, object=0x2674ef0) at gobjectnotifyqueue.c:132
#7  g_object_notify_by_spec_internal (pspec=<value optimized out>, object=
    0x2674ef0) at gobject.c:979
#8  g_object_notify (object=0x2674ef0, property_name=<value optimized out>)
    at gobject.c:1020
---Type <return> to continue, or q <return> to quit---
#9  0x00007f5a6c1d4d6a in gtk_tree_view_set_model (tree_view=0x2674ef0, 
    model=<value optimized out>) at gtktreeview.c:11448
#10 0x00007f5a6c1d5e9b in gtk_tree_view_destroy (widget=0x2674ef0)
    at gtktreeview.c:2097
#11 0x00007f5a6955ba19 in g_closure_invoke (closure=0x22f0440, return_value=
    0x0, n_param_values=1, param_values=0x26e4800, invocation_hint=
    0x7fff29b2fa30) at gclosure.c:767
#12 0x00007f5a6956da04 in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=0, instance=0x2674ef0, emission_return=0x0, instance_and_params=
    0x26e4800) at gsignal.c:3368
#13 0x00007f5a69577b4a in g_signal_emit_valist (
    instance=<value optimized out>, signal_id=<value optimized out>, 
    detail=<value optimized out>, var_args=0x7fff29b2fc20) at gsignal.c:2983
#14 0x00007f5a69577cf3 in g_signal_emit (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>)
    at gsignal.c:3040
#15 0x00007f5a6c20182d in gtk_widget_dispose (object=0x2674ef0)
    at gtkwidget.c:10557
#16 0x00007f5a6955f2e1 in g_object_run_dispose (object=0x2674ef0)
    at gobject.c:941
#17 0x00007f5a6c12058f in gtk_scrolled_window_forall (container=0x263cd50, 
    include_internals=0, callback=0x7f5a6c1f55a0 <gtk_widget_destroy>, 
    callback_data=0x0) at gtkscrolledwindow.c:1263
---Type <return> to continue, or q <return> to quit---
#18 0x00007f5a6c028db7 in gtk_container_destroy (widget=0x263cd50)
    at gtkcontainer.c:1298
#19 0x00007f5a6955ba19 in g_closure_invoke (closure=0x22f0440, return_value=
    0x0, n_param_values=1, param_values=0x263b080, invocation_hint=
    0x7fff29b2fef0) at gclosure.c:767
#20 0x00007f5a6956da04 in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=0, instance=0x263cd50, emission_return=0x0, instance_and_params=
    0x263b080) at gsignal.c:3368
#21 0x00007f5a69577b4a in g_signal_emit_valist (
    instance=<value optimized out>, signal_id=<value optimized out>, 
    detail=<value optimized out>, var_args=0x7fff29b300e0) at gsignal.c:2983
#22 0x00007f5a69577cf3 in g_signal_emit (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>)
    at gsignal.c:3040
#23 0x00007f5a6c20182d in gtk_widget_dispose (object=0x263cd50)
    at gtkwidget.c:10557
#24 0x00007f5a6955f2e1 in g_object_run_dispose (object=0x263cd50)
    at gobject.c:941
#25 0x00007f5a6bfdf913 in gtk_box_forall (container=<value optimized out>, 
    include_internals=<value optimized out>, callback=
    0x7f5a6c1f55a0 <gtk_widget_destroy>, callback_data=0x0) at gtkbox.c:1707
#26 0x00007f5a6c028db7 in gtk_container_destroy (widget=0x24c6660)
    at gtkcontainer.c:1298
---Type <return> to continue, or q <return> to quit---
#27 0x00007f5a6955ba19 in g_closure_invoke (closure=0x22f0440, return_value=
    0x0, n_param_values=1, param_values=0x26f7ca0, invocation_hint=
    0x7fff29b303b0) at gclosure.c:767
#28 0x00007f5a6956da04 in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=0, instance=0x24c6660, emission_return=0x0, instance_and_params=
    0x26f7ca0) at gsignal.c:3368
#29 0x00007f5a69577b4a in g_signal_emit_valist (
    instance=<value optimized out>, signal_id=<value optimized out>, 
    detail=<value optimized out>, var_args=0x7fff29b305a0) at gsignal.c:2983
#30 0x00007f5a69577cf3 in g_signal_emit (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>)
    at gsignal.c:3040
#31 0x00007f5a6c20182d in gtk_widget_dispose (object=0x24c6660)
    at gtkwidget.c:10557
#32 0x00007f5a6955f2e1 in g_object_run_dispose (object=0x24c6660)
    at gobject.c:941
#33 0x00007f5a6c0de79e in gtk_notebook_forall (
    container=<value optimized out>, include_internals=0, callback=
    0x7f5a6c1f55a0 <gtk_widget_destroy>, callback_data=0x0)
    at gtknotebook.c:4330
#34 0x00007f5a6c028db7 in gtk_container_destroy (widget=0x25ab330)
    at gtkcontainer.c:1298
#35 0x00007f5a6955ba19 in g_closure_invoke (closure=0x22f0440, return_value=
---Type <return> to continue, or q <return> to quit---
    0x0, n_param_values=1, param_values=0x25c00a0, invocation_hint=
    0x7fff29b30880) at gclosure.c:767
#36 0x00007f5a6956da04 in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=0, instance=0x25ab330, emission_return=0x0, instance_and_params=
    0x25c00a0) at gsignal.c:3368
#37 0x00007f5a69577b4a in g_signal_emit_valist (
    instance=<value optimized out>, signal_id=<value optimized out>, 
    detail=<value optimized out>, var_args=0x7fff29b30a70) at gsignal.c:2983
#38 0x00007f5a69577cf3 in g_signal_emit (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>)
    at gsignal.c:3040
#39 0x00007f5a6c20182d in gtk_widget_dispose (object=0x25ab330)
    at gtkwidget.c:10557
#40 0x00007f5a6955f2e1 in g_object_run_dispose (object=0x25ab330)
    at gobject.c:941
#41 0x00007f5a6bfdf913 in gtk_box_forall (container=<value optimized out>, 
    include_internals=<value optimized out>, callback=
    0x7f5a6c1f55a0 <gtk_widget_destroy>, callback_data=0x0) at gtkbox.c:1707
#42 0x00007f5a6c028db7 in gtk_container_destroy (widget=0x25a73c0)
    at gtkcontainer.c:1298
#43 0x00007f5a6955ba19 in g_closure_invoke (closure=0x22f0440, return_value=
    0x0, n_param_values=1, param_values=0x27fae80, invocation_hint=
    0x7fff29b30d40) at gclosure.c:767
---Type <return> to continue, or q <return> to quit--- 
#44 0x00007f5a6956da04 in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=0, instance=0x25a73c0, emission_return=0x0, instance_and_params=
    0x27fae80) at gsignal.c:3368
#45 0x00007f5a69577b4a in g_signal_emit_valist (
    instance=<value optimized out>, signal_id=<value optimized out>, 
    detail=<value optimized out>, var_args=0x7fff29b30f30) at gsignal.c:2983
#46 0x00007f5a69577cf3 in g_signal_emit (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>)
    at gsignal.c:3040
#47 0x00007f5a6c20182d in gtk_widget_dispose (object=0x25a73c0)
    at gtkwidget.c:10557
#48 0x00007f5a6955f2e1 in g_object_run_dispose (object=0x25a73c0)
    at gobject.c:941
#49 0x00007f5a6c0eaf93 in gtk_paned_forall (container=<value optimized out>, 
    include_internals=<value optimized out>, callback=
    0x7f5a6c1f55a0 <gtk_widget_destroy>, callback_data=0x0) at gtkpaned.c:1661
#50 0x00007f5a6c028db7 in gtk_container_destroy (widget=0x24d2770)
    at gtkcontainer.c:1298
#51 0x00007f5a6955ba19 in g_closure_invoke (closure=0x22f0440, return_value=
    0x0, n_param_values=1, param_values=0x27faa20, invocation_hint=
    0x7fff29b311f0) at gclosure.c:767
#52 0x00007f5a6956da04 in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=0, instance=0x24d2770, emission_return=0x0, instance_and_params=
---Type <return> to continue, or q <return> to quit---
    0x27faa20) at gsignal.c:3368
#53 0x00007f5a69577b4a in g_signal_emit_valist (
    instance=<value optimized out>, signal_id=<value optimized out>, 
    detail=<value optimized out>, var_args=0x7fff29b313e0) at gsignal.c:2983
#54 0x00007f5a69577cf3 in g_signal_emit (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>)
    at gsignal.c:3040
#55 0x00007f5a6c20182d in gtk_widget_dispose (object=0x24d2770)
    at gtkwidget.c:10557
#56 0x00007f5a6955f2e1 in g_object_run_dispose (object=0x24d2770)
    at gobject.c:941
#57 0x00007f5a6bfdf913 in gtk_box_forall (container=<value optimized out>, 
    include_internals=<value optimized out>, callback=
    0x7f5a6c1f55a0 <gtk_widget_destroy>, callback_data=0x0) at gtkbox.c:1707
#58 0x00007f5a6c028db7 in gtk_container_destroy (widget=0x230c070)
    at gtkcontainer.c:1298
#59 0x00007f5a6955ba19 in g_closure_invoke (closure=0x22f0440, return_value=
    0x0, n_param_values=1, param_values=0x2866300, invocation_hint=
    0x7fff29b316b0) at gclosure.c:767
#60 0x00007f5a6956da04 in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=0, instance=0x230c070, emission_return=0x0, instance_and_params=
    0x2866300) at gsignal.c:3368
#61 0x00007f5a69577b4a in g_signal_emit_valist (
---Type <return> to continue, or q <return> to quit---
    instance=<value optimized out>, signal_id=<value optimized out>, 
    detail=<value optimized out>, var_args=0x7fff29b318a0) at gsignal.c:2983
#62 0x00007f5a69577cf3 in g_signal_emit (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>)
    at gsignal.c:3040
#63 0x00007f5a6c20182d in gtk_widget_dispose (object=0x230c070)
    at gtkwidget.c:10557
#64 0x00007f5a6955f2e1 in g_object_run_dispose (object=0x230c070)
    at gobject.c:941
#65 0x00007f5a6c028db7 in gtk_container_destroy (widget=0x2302010)
    at gtkcontainer.c:1298
#66 0x00007f5a6955bace in g_closure_invoke (closure=0x22f0440, return_value=
    0x0, n_param_values=1, param_values=0x24feac0, invocation_hint=
    0x7fff29b31b40) at gclosure.c:767
#67 0x00007f5a6956da04 in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=0, instance=0x2302010, emission_return=0x0, instance_and_params=
    0x24feac0) at gsignal.c:3368
#68 0x00007f5a69577b4a in g_signal_emit_valist (
    instance=<value optimized out>, signal_id=<value optimized out>, 
    detail=<value optimized out>, var_args=0x7fff29b31d30) at gsignal.c:2983
#69 0x00007f5a69577cf3 in g_signal_emit (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>)
    at gsignal.c:3040
---Type <return> to continue, or q <return> to quit---
#70 0x00007f5a6c20182d in gtk_widget_dispose (object=0x2302010)
    at gtkwidget.c:10557
#71 0x00007f5a6955f2e1 in g_object_run_dispose (object=0x2302010)
    at gobject.c:941
#72 0x00007f5a6955bace in g_closure_invoke (closure=0x2319cf0, return_value=
    0x0, n_param_values=1, param_values=0x2283d20, invocation_hint=
    0x7fff29b31fa0) at gclosure.c:767
#73 0x00007f5a6956e01b in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=0, instance=0x2335a20, emission_return=0x0, instance_and_params=
    0x2283d20) at gsignal.c:3252
#74 0x00007f5a69577b4a in g_signal_emit_valist (
    instance=<value optimized out>, signal_id=<value optimized out>, 
    detail=<value optimized out>, var_args=0x7fff29b32190) at gsignal.c:2983
#75 0x00007f5a69577cf3 in g_signal_emit (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>)
    at gsignal.c:3040
#76 0x00007f5a6bfc8203 in _gtk_action_emit_activate (action=0x2335a20)
    at gtkaction.c:798
#77 0x00007f5a6bfc8904 in closure_accel_activate (closure=0x2319d20, 
    return_value=0x7fff29b32440, n_param_values=<value optimized out>, 
    param_values=<value optimized out>, invocation_hint=<value optimized out>, 
    marshal_data=<value optimized out>) at gtkaction.c:1634
#78 0x00007f5a6955bace in g_closure_invoke (closure=0x2319d20, return_value=
---Type <return> to continue, or q <return> to quit---
    0x7fff29b32440, n_param_values=4, param_values=0x7f5a500030c0, 
    invocation_hint=0x7fff29b32400) at gclosure.c:767
#79 0x00007f5a6956e01b in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=1374, instance=0x228dc80, emission_return=0x7fff29b32590, 
    instance_and_params=0x7f5a500030c0) at gsignal.c:3252
#80 0x00007f5a6957799c in g_signal_emit_valist (
    instance=<value optimized out>, signal_id=<value optimized out>, 
    detail=<value optimized out>, var_args=0x7fff29b325f0) at gsignal.c:2993
#81 0x00007f5a69577cf3 in g_signal_emit (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>)
    at gsignal.c:3040
#82 0x00007f5a6bfc2fa4 in gtk_accel_group_activate (accel_group=0x228dc80, 
    accel_quark=1374, acceleratable=0x2302010, accel_key=113, accel_mods=
    GDK_CONTROL_MASK) at gtkaccelgroup.c:904
#83 0x00007f5a6bfc4449 in gtk_accel_groups_activate (object=0x2302010, 
    accel_key=113, accel_mods=GDK_CONTROL_MASK) at gtkaccelgroup.c:941
#84 0x00007f5a6c215be2 in gtk_window_activate_key (window=0x2302010, 
    event=<value optimized out>) at gtkwindow.c:9139
#85 0x000000000044ccbb in gedit_window_key_press_event (widget=0x2302010, 
    event=0x29636b0) at gedit-window.c:435
#86 0x00007f5a6c0b6513 in _gtk_marshal_BOOLEAN__BOXED (closure=0x22f4ca0, 
    return_value=0x7fff29b32990, n_param_values=<value optimized out>, 
    param_values=0x2959980, invocation_hint=<value optimized out>, 
---Type <return> to continue, or q <return> to quit---
    marshal_data=<value optimized out>) at gtkmarshalers.c:85
#87 0x00007f5a6955bace in g_closure_invoke (closure=0x22f4ca0, return_value=
    0x7fff29b32990, n_param_values=2, param_values=0x2959980, invocation_hint=
    0x7fff29b32950) at gclosure.c:767
#88 0x00007f5a6956de10 in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=0, instance=0x2302010, emission_return=0x7fff29b32ae0, 
    instance_and_params=0x2959980) at gsignal.c:3290
#89 0x00007f5a6957799c in g_signal_emit_valist (
    instance=<value optimized out>, signal_id=<value optimized out>, 
    detail=<value optimized out>, var_args=0x7fff29b32b40) at gsignal.c:2993
#90 0x00007f5a69577cf3 in g_signal_emit (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>)
    at gsignal.c:3040
#91 0x00007f5a6c1f6b7f in gtk_widget_event_internal (widget=0x2302010, event=
    0x29636b0) at gtkwidget.c:6063
#92 0x00007f5a6c0b5e04 in gtk_propagate_event (widget=0x2302010, event=
    0x29636b0) at gtkmain.c:2542
#93 0x00007f5a6c0b611b in gtk_main_do_event (event=0x29636b0) at gtkmain.c:1843
#94 0x00007f5a6bb05d02 in gdk_event_source_dispatch (
    source=<value optimized out>, callback=<value optimized out>, 
    user_data=<value optimized out>) at gdkeventsource.c:318
#95 0x00007f5a68a6e483 in g_main_dispatch (context=0x2284e30) at gmain.c:2440
#96 g_main_context_dispatch (context=0x2284e30) at gmain.c:3013
---Type <return> to continue, or q <return> to quit---
#97 0x00007f5a68a6ec60 in g_main_context_iterate (context=0x2284e30, block=1, 
    dispatch=1, self=<value optimized out>) at gmain.c:3091
#98 0x00007f5a68a6f2d2 in g_main_loop_run (loop=0x27acd60) at gmain.c:3299
#99 0x00007f5a6c0b556d in gtk_main () at gtkmain.c:1329
#100 0x0000000000427edf in gedit_main (service=<value optimized out>)
    at gedit.c:198
#101 main (argc=1, argv=0x7fff29b32fa8) at gedit.c:273

Version-Release number of selected component (if applicable):
2.91.5-2.fc15.x86_64

How reproducible:
always

Steps to Reproduce:
1. Launch gedit
2. Quit gedit
3.
  
Actual results:


Expected results:


Additional info:
gtk3-2.99.1-1.fc15.x86_64
glib2-2.27.90-1.fc15.x86_64

Note You need to log in before you can comment on or make changes to this bug.